from displays.PlayerDisplay import PlayerDisplay
from displays.SpecialDisplay import SpecialDisplay

class DisplayFactory:
    def __init__(self, displayNames):
        self.displayNames = displayNames

    def createSpecialDisplay(self):
        name = filter(lambda displayName: "Special" in displayName, self.displayNames)
        return SpecialDisplay(name)

    def createPlayerDisplay(self, id):
        name = filter(lambda displayName: "Player" in displayName and str(id) in displayName, self.displayNames)
        return PlayerDisplay(name)
